import '../link/link';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdBreadcrumbItem extends SolidElement {
    localize: LocalizeController;
    base: HTMLElement;
    href: string;
    target: '_blank' | '_parent' | '_self' | '_top';
    current: boolean;
    handleCurrentChange(): void;
    connectedCallback(): void;
    firstUpdated(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-breadcrumb-item': SdBreadcrumbItem;
    }
}
